xine-lib: xine-lib-1.2.12/src/input/vcd/vcdio.h File Reference

xine-lib 1.2.12

Functions
vcdio.h File Reference

Go to the source code of this file.

## Functions
off_t | vcdio_read (vcdplayer_t *p_vcdplayer, char *psz_buf, const off_t nlen)
bool | vcdio_open (vcdplayer_t *p_vcdplayer, char *psz_device)
int | vcdio_close (vcdplayer_t *p_vcdplayer)
off_t | vcdio_seek (vcdplayer_t *p_vcdplayer, off_t offset, int origin)

## Function Documentation

## ◆ vcdio_close()

int vcdio_close | ( | vcdplayer_t * | p_vcdplayer | ) |

Closes VCD device specified via "this", and also wipes memory of it from it inside "this".

References vcdplayer_s::b_opened, vcdplayer_s::entry, FREE_AND_NULL, vcdplayer_s::psz_source, vcdplayer_s::segment, vcdplayer_s::track, and vcdplayer_s::vcd.

Referenced by vcd_build_mrl_list(), vcd_class_eject_media(), vcd_class_get_instance(), vcd_close(), vcd_plugin_dispose(), and vcdio_open().

## ◆ vcdio_open()

bool vcdio_open | ( | vcdplayer_t * | p_vcdplayer,
|  | char * | intended_vcd_device
| ) |  |

Opens VCD device and initializes things.

- do nothing if the device had already been open and is the same device.
- if the device had been open and is a different, close it before trying to open new device.

References vcdplayer_s::b_opened, dbg_print, vcdplayer_s::entry, vcdplayer_s::i_entries, vcdplayer_s::i_lids, vcdplayer_s::i_segments, vcdplayer_s::i_still, vcdplayer_s::i_tracks, INPUT_DBG_CALL, NULL, vcdplayer_s::psz_source, vcdplayer_s::segment, vcdplayer_play_item_info_t::size, vcdplayer_play_item_info_t::start_LSN, vcdplayer_s::track, vcdplayer_s::vcd, vcdplayer_s::vcd_format, and vcdio_close().

Referenced by vcd_build_mrl_list(), and vcd_plugin_read_block().

## ◆ vcdio_read()

off_t vcdio_read | ( | vcdplayer_t * | p_vcdplayer,
|  | char * | psz_buf,
|  | const off_t | nlen
| ) |  |

From xine plugin spec:

read nlen bytes, return number of bytes read.

## ◆ vcdio_seek()

off_t vcdio_seek | ( | vcdplayer_t * | p_vcdplayer,
|  | off_t | offset,
|  | int | origin
| ) |  |

From xine plugin spec:

seek position, return new position

if seeking failed, -1 is returned

seek position, return new position

if seeking failed, -1 is returned

References _, dbg_print, vcdplayer_s::i_lsn, INPUT_DBG_SEEK_CUR, INPUT_DBG_SEEK_SET, LOG_ERR, vcdplayer_s::next_entry, vcdplayer_s::origin_lsn, vcdplayer_s::play_item, vcdplayer_s::slider_length, vcdplayer_s::track_lsn, vcdplayer_pbc_is_on(), and VCDPLAYER_SLIDER_LENGTH_TRACK.

Referenced by vcd_plugin_seek().